# Uses of Class
org.eclipse.mat.parser.internal.oql.compiler.Query.SelectItem

Packages that use Query.SelectItem
Package
Description
org.eclipse.mat.parser.internal.oql.compiler
Object Query Language (OQL) compiler (not API).
org.eclipse.mat.parser.internal.oql.parser
Object Query Language (OQL) parser (not API).

## Uses of Query.SelectItem in org.eclipse.mat.parser.internal.oql.compiler

Methods in org.eclipse.mat.parser.internal.oql.compiler that return types with arguments of type Query.SelectItem
Modifier and Type
Method
Description
`List<Query.SelectItem>`
Query.SelectClause.`getSelectList()`
Method parameters in org.eclipse.mat.parser.internal.oql.compiler with type arguments of type Query.SelectItem
Modifier and Type
Method
Description
`void`
Query.SelectClause.`setSelectList(List<Query.SelectItem> selectList)`

## Uses of Query.SelectItem in org.eclipse.mat.parser.internal.oql.parser

Methods in org.eclipse.mat.parser.internal.oql.parser that return Query.SelectItem
Modifier and Type
Method
Description
`final Query.SelectItem`
OQLParser.`SelectItem()`